# module LLVM::ValueMethods

##
Direct including types

- LLVM::Function
- LLVM::Value

##
Defined in:

llvm/value_methods.cr

##
Constructors

- .new(unwrap : LibLLVM::ValueRef)

##
Instance Method Summary

- #add_instruction_attribute(index : Int, attribute : LLVM::Attribute, context : LLVM::Context, type : LLVM::Type | Nil = nil)
- #alignment=(bytes)
- #call_convention
- #call_convention=(call_convention)
- #const_int_get_sext_value
- #const_int_get_zext_value
- #constant?
- #dll_storage_class=(storage_class)
- #dump
- #global_constant=(global_constant)
- #global_constant?
- #initializer
- #initializer=(initializer)
- #inspect(io : IO) : Nil
- #kind
- #linkage
- #linkage=(linkage)
- #name
- #name=(name)
- #ordering=(ordering)
- #thread_local=(thread_local)
- #thread_local?
- #to_unsafe
- #to_value
- #type
- #volatile=(volatile)

##
Constructor Detail

def self.new(unwrap : LibLLVM::ValueRef) #

##
Instance Method Detail

def add_instruction_attribute(index : Int, attribute : LLVM::Attribute, context : LLVM::Context, type : LLVM::Type | Nil = nil) #
def alignment=(bytes) #
def call_convention #
def call_convention=(call_convention) #
def const_int_get_sext_value #
def const_int_get_zext_value #
def constant? #
def dll_storage_class=(storage_class) #
def dump #
def global_constant=(global_constant) #
def global_constant? #
def initializer #
def initializer=(initializer) #
def inspect(io : IO) : Nil #
def kind #
def linkage #
def linkage=(linkage) #
def name #
def name=(name) #
def ordering=(ordering) #
def thread_local=(thread_local) #
def thread_local? #
def to_unsafe #
def to_value #
def type #
def volatile=(volatile) #